package com.ho.user.service;

import com.ho.common.tools.entity.PageVO;
import com.ho.common.tools.entity.SysRole;
import com.ho.user.vo.req.RoleAddReqVO;
import com.ho.user.vo.req.RolePageReqVO;
import com.ho.user.vo.req.RoleUpdateReqVO;

import java.util.List;

/**
 * @ClassName: RoleService
 * TODO:类文件简单描述
 * @Author:
 * @CreateDate: 2019/9/19 11:38
 * @UpdateUser:
 * @UpdateDate: 2019/9/19 11:38
 * @Version: 0.0.1
 */
public interface RoleService {

    SysRole addRole(RoleAddReqVO vo);

    void updateRole(RoleUpdateReqVO vo);

    SysRole detailInfo(Integer id,String enableStatus);

    void deletedRole(Integer id);

    PageVO<SysRole> pageInfo(RolePageReqVO vo);

    List<SysRole> listInfo(RolePageReqVO vo);

    List<SysRole> getRoleInfoByUserId(String userId);

    List<SysRole> getRoleInfoByRoleIds(List<Integer> roleIds);

    List<String> getRoleNames(String userId);

    List<SysRole> selectAllRoles();

    //根据角色编号查询角色对象
    SysRole findRoleInfoByRoleCode(String roleCode);
}
